<html devsite><head>
    <title>功耗</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<h2 id="low_power_sensors">低功耗传感器</h2>
<p>部分传感器类型被定义为低功耗传感器。低功耗传感器必须以低功耗运行，其处理在硬件中完成。这意味着它们不能要求运行 SoC。部分低功耗传感器类型如下：</p>
<ul>
  <li>地磁旋转矢量计</li>
  <li>大幅运动感测器</li>
  <li>计步器</li>
  <li>步测器</li>
  <li>倾斜检测器</li>
</ul>
<p>在<a href="sensor-types.html#composite_sensor_type_summary">复合传感器类型汇总</a>表中，这些传感器都带有低功耗 (<img src="images/battery_icon.png" width="20" height="20" alt="低功耗传感器"/>) 图标。</p>
<p>您无法将这些传感器类型实现为高功耗传感器，因为它们的主要优势就是耗电量低。这些传感器会长期处于启用状态，并且很可能是全天候启用。宁愿不实现低功耗传感器，也不要将其实现为高功耗传感器，否则会导致过度耗电。</p>
<p>对于低功耗复合传感器类型（如步测器），必须使其在硬件中执行处理流程。</p>
<p>有关具体的功耗要求，请参阅 CDD。建议进行 CTS 测试，以便验证这些功耗要求。</p>
<h2 id="power_measurement_process">功耗测量过程</h2>
<p>功耗的测量对象是电池。对于以毫瓦计的值，我们使用电池的额定电压，这意味着电压为 4 伏且电流为 1 毫安时必须计为 4 毫瓦。</p>
<p>在 SoC 处于休眠状态时测量功耗，并且计算 SoC 处于休眠状态时几秒钟内的平均值，以便将来自传感器芯片的周期性功耗峰值考虑在内。</p>
<p>对于单次唤醒传感器，在传感器未触发时测量功耗（因此不会唤醒 SoC）。同样，对于其他传感器，在传感器数据存储在硬件 FIFO 中时测量功耗，因此 SoC 不会被唤醒。</p>
<p>当没有传感器处于启用状态时，通常以增量形式测量功耗。当有多个传感器处于启用状态时，功耗增量不得大于各个已启用传感器的功耗之和。如果加速度计的电流为 0.5 毫安，步测器的电流也为 0.5 毫安，则同时启用这两者所消耗的电流必须小于 0.5 + 0.5 = 1 毫安。</p>

</body></html>